﻿using System.Collections.Generic;
using System.Xml.Serialization;

namespace SokobanLevelTest
{
    public class SokobanLevels
    {
        public string Title { get; set; }
        public string Description { get; set; }
        public string Email { get; set; }

        public LevelCollection LevelCollection { get; set; }
    }

    public class LevelCollection 
    {
        [XmlAttribute]
        public string Copyright { get; set; }
        [XmlAttribute]
        public int MaxWidth { get; set; }
        [XmlAttribute]
        public int MaxHeight { get; set; }

        [XmlElement("Level")]
        public List<Level> Levels { get; set; }
    }

    public class Level
    {
        [XmlAttribute]
        public string Id { get; set; }
        [XmlAttribute]
        public int Width { get; set; }
        [XmlAttribute]
        public int Height { get; set; }

        [XmlElement("L")]
        public List<string> Lines { get; set; }
    }
}
